package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 music_scene
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class MusicScene extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 场景id */
    @Excel(name = "场景id")
    private Long sceneId;

    /** 场景 */
    @Excel(name = "场景")
    private String scene;

    /** 音乐地址 */
    @Excel(name = "音乐地址")
    private String musicAddr;

    /** 创建人 */
    @Excel(name = "创建人")
    private String creator;

    /** 修改人 */
    @Excel(name = "修改人")
    private String modify;

    /** 1删除 */
    @Excel(name = "1删除")
    private Long isDel;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public void setSceneId(Long sceneId) 
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId() 
    {
        return sceneId;
    }

    public void setScene(String scene) 
    {
        this.scene = scene;
    }

    public String getScene() 
    {
        return scene;
    }

    public void setMusicAddr(String musicAddr) 
    {
        this.musicAddr = musicAddr;
    }

    public String getMusicAddr() 
    {
        return musicAddr;
    }

    public void setCreator(String creator) 
    {
        this.creator = creator;
    }

    public String getCreator() 
    {
        return creator;
    }

    public void setModify(String modify) 
    {
        this.modify = modify;
    }

    public String getModify() 
    {
        return modify;
    }

    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sceneId", getSceneId())
            .append("scene", getScene())
            .append("musicAddr", getMusicAddr())
            .append("creator", getCreator())
            .append("modify", getModify())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .toString();
    }
}
